require 'spec_helper'

describe ChainedValidation do
  before :each do
    extend ChainedValidation
  end
  
  describe '#rule_for' do
    context 'when have a valid object' do
      it 'return true' do
        expect(rule_for('foo bar').begins_with('foo').contains('bar').validate).to be_truthy
      end
    end

    context 'when dont have a valid object' do
      it 'return false' do
        expect(rule_for('foo').begins_with('bar').contains('foo').validate).to be_falsey
      end
    end
  end
end
